Subject: Re: [apps-discuss] [appsawg] #31 (uri-scheme-reg): Remove paragraph on nonconfirming registration proposals

From: Dave Thaler <[email-masked]>
Date: Thu, 9 Oct 2014 19:02:40 +0000

Roy Fielding wrote, during WGLC:
>  This paragraph should be removed:
> 
>     If parties achieve consensus on a registration proposal that does not
>     fully conform to the strict wording of this procedure, this should be
>     drawn to the attention of a relevant member of the IESG.
> 
>  because it's lame, and also because it is implied by the prior paragraph.
>  A "relevant member"? That's just begging for reinterpretation.

I'm updating draft-ietf-appsawg-uri-scheme-reg to address comments
received during WGLC.

I agree with Roy's proposal to delete the quoted paragraph, although
I disagree that it's implied by the prior paragraph which is:
>   In exceptional cases, where the negotiating parties cannot form a
>   consensus, the final arbiter of any contested registration shall be
>   the IESG.

That paragraph is about the case where the reviewer and the applicant
cannot agree.  The following paragraph Roy quotes is about a case
where the reviewer and the applicant agree to not follow the RFC.
If "relevant member" were the only problem, I'd change it to
"... to the attention of the IESG" for consistency with the prior paragraph.

However, the reasons I agree with Roy's recommendation are:
1) During WG discussion, the WG agreed to lower the load on the IESG
    and empower the Expert more, so we want to reduce cases that need
    IESG involvement.
2) The problematic paragraph implies that it's ok for the reviewer
    to deviate from the RFC, which I think the RFC should not explicitly
    suggest.
3) Now that we lowered the bar for Provisional to be FCFS, it seems
    unlikely the paragraph could ever apply to Provisional, and rather
    than allowing deviation from the RFC for Permanent, deleting
    the paragraph implies that Permanent should now always adhere
    to the RFC.  A registration can use Provisional instead if that's a problem.

Hence I think removing the paragraph Roy complains about is the
right thing, and is consistent with previous WG agreement.

I will remove the paragraph, but wanted to give this longer explanation for the record.

-Dave

---

From: Dave Thaler <[email-masked]>
Date: Thu, 9 Oct 2014 19:15:20 +0000

I wrote:
> I'm updating draft-ietf-appsawg-uri-scheme-reg to address comments received
> during WGLC.
> 
> I agree with Roy's proposal to delete the quoted paragraph, although I disagree
> that it's implied by the prior paragraph which is:
> That paragraph is about the case where the reviewer and the applicant cannot
> agree.  The following paragraph Roy quotes is about a case where the reviewer
> and the applicant agree to not follow the RFC.
> If "relevant member" were the only problem, I'd change it to "... to the attention
> of the IESG" for consistency with the prior paragraph.
> 
> Hence I think removing the paragraph Roy complains about is the right thing,
> and is consistent with previous WG agreement.
> 

Here's Graham's comment on this topic from
http://www.ietf.org/mail-archive/web/apps-discuss/current/msg11444.html

> > Section 7.1:
> >
> > [[CREF9: TODO: We don't want this.  --??]]
> >
> > I think it is useful that the IESG can be final arbiter, as it provides some room
> > for making decisions that are not in strict accordance with the process
> > requirements, without kicking the door open to making arbitrary and
> > capricious decisions.  There have been a few cases (I forget details) where
> > the specific drafting of the process has seemed to be at odds with a common
> > sense "do the right thing" approach - having a way to accommodate these
> > within a clearlhy documented framework seems useful to me.

I agree with Roy that the prior paragraph (which I quoted above) already gives
sufficient room to accommodate Graham's point.   That is, if the reviewer judges
that the request and the RFC are not in agreement, the reviewer can treat it as
a "contested registration" and ask the IESG to be the arbiter.   So removing the
paragraph still leave a clearly documented framework to accommodate unusual
requests.

Just wanted to point out that I have taken Graham's previous feedback into
account, I haven't forgotten it :)

-Dave